> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://fyno.io/docs/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://fyno.io/docs/_mcp/server.

# Add/Update channel data

PATCH https://api.fyno.io/v1/{WSID}/{version}/profiles/{distinct_id}/channel
Content-Type: application/json

This API enables you to update existing data for `sms`, `whatsapp`, `email`, `slack`, `discord`, and `teams` channels, and add new tokens for `push` and `inapp` channels. It works like an update for channels that can hold a single destination only and like an insert for channels that can hold multiple destinations/tokens.

Reference: https://fyno.io/docs/api-reference/add-update-channel-data

## Authentication

- `Authorization` header (bearer token, required) — Enter your API Key. If you don't have it already, you can create one from the API Keys page within your Fyno account

## Request

### Path parameters

- `WSID` (string, required) — Enter your workspace ID. You can obtain this value from the API Keys page within your Fyno account.
- `version` (string, required) — Specify the version for which you would like to manage the user profile.
- `distinct_id` (string, required) — Enter the distinct ID that you currently use to identify the user.

### Body (application/json)

This endpoint expects a distinct_id_channel_body.

- `channel` (WSIDversionprofilesdistinct_idchannel_channel, required)

## Response

### 200

Profile updated successfully

- `_message` (string, required)
- `status` (string, required)

## Errors

### 400 Bad Request Error

Distinct ID does not exist

- `_message` (string, required)
- `status` (string, required)

### 401 Unauthorized Error

API Key or Workspace ID is invalid. User is unauthorised.

- `_message` (string, required)
- `status` (string, required)

## Types

### WSIDversionprofilesdistinct_idchannel_channel

- `discord` (string, optional) — Enter the new discord ID of the user. If you do not wish to change this value, remove this key from the payload.
- `email` (string, optional) — Enter the new email address of the user. If you do not wish to change this value, remove this key from the payload.
- `inapp` (list of WSIDversionprofilesdistinct_idchannel_channel_inapp, optional)
- `push` (list of WSIDversionprofilesdistinct_idchannel_channel_push, optional)
- `slack` (string, optional) — Enter the new channel ID, user ID, or email address of the user. If you do not wish to change this value, remove this key from the payload.
- `sms` (string, optional) — Enter the new mobile number of the user. The number must start with the country code (preferably in E.164 format). For example: +49XXXXXXXXX. If you do not wish to change this value, remove this key from the payload.
- `teams` (string, optional) — Enter the new channel name. For teams, we currently support sending to one channel only. If you wish to send to multiple channels, do get in touch and we can share a workaround. If you do not wish to change this value, remove this key from the payload.
- `voice` (string, optional) — Enter the new mobile number of the user. The number must start with the country code (preferably in E.164 format). For example: +49XXXXXXXXX. If you do not wish to change this value, remove this key from the payload.
- `whatsapp` (string, optional) — Enter the new WhatsApp mobile number of the user. The number must start with the country code (preferably in E.164 format). For example: +49XXXXXXXXX. If you do not wish to change this value, remove this key from the payload.

### WSIDversionprofilesdistinct_idchannel_channel_inapp

- `token` (string, required) — Enter the new distinct ID or the generated token to add for the user. Note: This value would get added (and not updated) to the channel data.
- `integration_id` (string, optional) — (Optional) Enter the integration ID that was used to generate the above token. This is helpful in identifying which integration to use when an account has multiple InApp integrations. If this value is null, then the above token is used for all InApp integrations. The integration ID can be obtained from Fyno's integrations page.
- `status` (enum, optional) — (Optional) Enter 1 to specify that this token must be active and should receive notifications. Enter 0 to specify that this token must be inactive and should not receive any notifications. If null, the default value is 1.
  - Allowed values: `1`, `0`

### WSIDversionprofilesdistinct_idchannel_channel_push

- `token` (string, required) — Enter the new push token that to add for the user. If you use OneSignal, you must add the following prefix to the token: For OneSignal playerId: `onesignal_player_id:`\<enter\_playerid> For OneSignal externalId: `onesignal_external_id:`\<enter\_externalid> Note: This value would get added (and not updated) to the channel data.
- `integration_id` (string, optional) — (Optional) Enter the integration ID that was used to generate the above token. This is helpful in identifying which integration to use when an account has multiple push integrations. If this value is null, then the above token is used for all push integrations. The integration ID can be obtained from Fyno's integrations page.
- `status` (enum, optional) — (Optional) Enter 1 to specify that this token must be active and should receive notifications. Enter 0 to specify that this token must be inactive and should not receive any notifications. If null, the default value is 1.
  - Allowed values: `1`, `0`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "_message": "Channel has been modified successfully",
  "status": "ok"
}
```

**SDK Code**

```python
import requests

url = "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel"

payload = {}
headers = {
    "Authorization": "Bearer <apiKey>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel';
const options = {
  method: 'PATCH',
  headers: {Authorization: 'Bearer <apiKey>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PATCH", url, payload)

	req.Header.Add("Authorization", "Bearer <apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.patch("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel")
  .header("Authorization", "Bearer <apiKey>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PATCH', 'https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <apiKey>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Bearer <apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <apiKey>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.fyno.io/v1/FYXXXXXXXX/version/profiles/XXXXXXXX/channel")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```